Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui.edit
Class Property

    java.lang.Object
      de.grogra.pf.ui.edit.Property

Direct Known Subclasses:
  FieldProperty

    public abstract class Property

extends java.lang.Object

Constructor Summary
`Property(Context context, Type type)`

Method Summary
`abstract Property` | `createSubProperty(Type actualType, Field name, int index)`
`Property` | `createSubProperty(Type actualType, java.lang.String name, int index)`
`Context` | `getContext()`
`PropertyEditor` | `getEditor()`
`Quantity` | `getQuantity()`
`UIToolkit` | `getToolkit()`
`Type` | `getType()`
`abstract java.lang.Object` | `getValue()`
`Workbench` | `getWorkbench()`
`abstract boolean` | `isWritable()`
`protected void` | `setQuantity(Quantity q)`
`abstract void` | `setValue(java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Property

    public Property(Context context,
                    Type type)

Method Detail

### createSubProperty

    public abstract Property createSubProperty(Type actualType,
                                               Field name,
                                               int index)

### createSubProperty

    public Property createSubProperty(Type actualType,
                                      java.lang.String name,
                                      int index)

### getContext

    public Context getContext()

### getEditor

    public PropertyEditor getEditor()

### getQuantity

    public Quantity getQuantity()

### getToolkit

    public UIToolkit getToolkit()

### getType

    public Type getType()

### getValue

    public abstract java.lang.Object getValue()

### getWorkbench

    public Workbench getWorkbench()

### isWritable

    public abstract boolean isWritable()

### setQuantity

    protected void setQuantity(Quantity q)

### setValue

    public abstract void setValue(java.lang.Object value)
                           throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD